export const baseData = {
  title: "定向流量产品基本信息",
  labelWidth: "140px",
  inputWidth: "40%",
  labelPosition: "right",
  list: [
    {
      key: "productName",
      label: "集约产品名称",
      type: "input",
      placeholder: "请输入集约产品名称",
      // disabled: true,
      rules: [{ required: true, message: "请输入集约产品名称" }],
    },
    {
      key: "productIdJy",
      label: "集约产品编码",
      type: "input",
      placeholder: "请输入集约产品编码",
      rules: [{ required: true, message: "请输入集约产品编码" }],
    },
    {
      key: "cptype",
      label: "产品分类",
      type: "select",
      placeholder: "请选择产品分类",
      rules: [{ required: true, message: "请选择产品分类" }],
      option: [
        { label: "PRM产品", value: "0" },
        { label: "纯附加包产品", value: "1" },
        { label: "PRM附加产品", value: "2" },
        { label: "无计费点免流产品", value: "3" },
        // { label: "权益+流量产品", value: "0" },
        // { label: "wo+流量产品", value: "1" },
        // { label: "后向产品", value: "2" },
        // { label: "畅视c+产品", value: "3" },
        // { label: "无限畅视产品", value: "4" },
        // { label: "沃视频", value: "5" },
        // { label: "畅视互娱产品", value: "6" },
        // { label: "小娱八斗产品", value: "7" },
        // { label: "电商卡产品", value: "8" },
        // { label: "其他", value: "9" },
        // { label: "2元产品", value: "10" },
      ],
    },
    // 、
    {
      key: "productype",
      label: "产品类型", //?
      type: "select",
      placeholder: "请选择产品类型",
      rules: [{ required: true, message: "请选择产品类型" }],
      option: [
        { label: "纯流量", value: "0" },
        { label: "流量+权益产品类型", value: "1" },
        // { label: "会员", value: "1" },
        // { label: "免流", value: "2" },
        // { label: "会员+免流", value: "3" },
      ],
    },
    // ？
    {
      key: "discntCode",
      label: "资费文",
      type: "input",
      placeholder: "请输入资费文",
      rules: [{ required: true, message: "请输入资费文" }],
    },
    {
      key: "busitype",
      label: "业务类型",
      type: "select",
      placeholder: "请选择业务类型",
      rules: [{ required: true, message: "请选择业务类型" }],
      option: [
        { label: "附加产品", value: "0" },
        { label: "增值产品", value: "1" },
      ],
    },
    {
      key: "buid",
      label: "业务单元编码",
      type: "input",
      placeholder: "请输入业务单元编码",
      rules: [{ required: true, message: "请输入业务单元编码" }],
    },
    {
      key: "buname",
      label: "业务单元名称",
      type: "input",
      placeholder: "请输入业务单元名称",
      rules: [{ required: true, message: "请输入业务单元名称" }],
    },
    {
      key: "busiclassify",
      label: "产品元素",
      type: "select",
      placeholder: "请选择产品元素",
      rules: [{ required: true, message: "请选择产品元素" }],
      option: [
        { label: "资费与增值", value: "0" },
        { label: "资费", value: "1" },
        { label: "增值", value: "2" },
        { label: "5G服务与资费", value: "3" },
        { label: "5G服务与增值", value: "4" },
        { label: "5G服务与资费/增值", value: "5" },
      ],
    },
    {
      key: "servicecode",
      label: "5G服务编码",
      type: "input",
      placeholder: "请输入5G服务编码",
      rules: [{ required: true, message: "请输入5G服务编码" }],
    },
    {
      key: "directype",
      label: "定向类型",
      type: "select",
      placeholder: "请选择定向类型",
      rules: [{ required: true, message: "请选择定向类型" }],
      option: [
        { label: "前向", value: "1" },
        { label: "后向", value: "2" },
        { label: "前向合约", value: "3" },
        { label: "后向合约", value: "4" },
      ],
    },
    {
      key: "enableTag",
      label: "产品生效方式",
      type: "select",
      placeholder: "请选择产品生效方式",
      rules: [{ required: true, message: "请选择产品生效方式" }],
      option: [
        { label: "立即生效", value: "1" },
        { label: "次月生效", value: "2" },
      ],
    },
    // 缺少产品退订生效时间name
    {
      key: "enableTag",
      label: "产品退订生效方式",
      type: "select",
      placeholder: "请选择产品退订生效方式",
      rules: [{ required: true, message: "请选择产品退订生效方式" }],
      option: [
        { label: "立即生效", value: "1" },
        { label: "次月生效", value: "2" },
      ],
    },

    // {
    //   key: "enddate",
    //   label: "产品结束时间",
    //   type: "date",
    //   placeholder: "请选择产品结束时间",
    //   rules: [{ required: true, message: "请选择产品结束时间" }],
    //   config: {
    //     type: "date",
    //     valueFormat: "yyyy-MM-dd",
    //   },
    // },
    // {
    //   key: "startdate",
    //   label: "产品开始时间",
    //   type: "date",
    //   placeholder: "请选择产品开始时间",
    //   rules: [{ required: true, message: "请选择产品开始时间" }],
    //   config: {
    //     type: "date",
    //     valueFormat: "yyyy-MM-dd",
    //   },
    // },
    {
      key: "operateType",
      label: "操作类型",
      type: "select",
      placeholder: "请选择操作类型",
      rules: [{ required: true, message: "请选择操作类型" }],
      option: [
        { label: "新增", value: 0 },
        { label: "更新", value: 1 },
        { label: "删除", value: 2 },
      ],
    },
    {
      key: "remark",
      label: "备注内容",
      type: "textarea",
      width: "80%",
      placeholder: "请输入备注内容",
      rules: [{ required: true, message: "请输入备注内容" }],
    },
  ],
};
export const freeFlowData = {
  title: "定向流量产品免流信息",
  labelWidth: "140px",
  inputWidth: "40%",
  labelPosition: "right",
  list: [
    // {
    //   key: "name",
    //   label: "免流模式分类",
    //   type: "select",
    //   placeholder: "请选择免流模式分类",
    //   rules: [{ required: true, message: "请选择免流模式分类" }],
    //   option: [
    //     { label: "一批免流", value: "0" },
    //     { label: "二批免流", value: "1" },
    //   ],
    // },
    {
      key: "freeFlowType",
      label: "免流配置方式",
      type: "select",
      placeholder: "请选择免流配置方式",
      rules: [{ required: true, message: "请选择免流配置方式" }],
      option: [
        { label: "大网免流", value: "1" },
        { label: "CDN免流", value: "0" },
      ],
    },
    {
      key: "maxflow",
      label: "流量颗粒度",
      type: "input",
      placeholder: "请输入流量颗粒度",
      rules: [{ required: true, message: "请输入流量颗粒度" }],
    },
    {
      key: "flowtype",
      label: "SID免流标识",
      type: "select",
      placeholder: "请选择SID免流标识",
      rules: [{ required: true, message: "请选择SID免流标识" }],
      option: [
        { label: "不限流", value: "0" },
        { label: "限流", value: "1" },
      ],
    },
    {
      key: "cpid",
      label: "免流CPID",
      type: "input",
      placeholder: "请输入免流CPID",
      rules: [{ required: true, message: "请输入免流CPID" }],
    },
    {
      key: "spid",
      label: "免流产品编码",
      type: "input",
      placeholder: "请输入免流产品编码",
      rules: [{ required: true, message: "请输入免流产品编码" }],
    },

    {
      key: "flowscrope",
      label: "免流范围",
      type: "textarea",
      width: "80%",
      placeholder: "请输入免流范围",
      rules: [{ required: true, message: "请输入免流范围" }],
    },
  ],
};
export const PRMData = {
  title: "PRM相关产品信息",
  labelWidth: "140px",
  inputWidth: "40%",
  labelPosition: "right",
  list: [
    {
      key: "cooperId",
      label: "合作伙伴ID",
      type: "input",
      placeholder: "请输入合作伙伴ID",
      rules: [{ required: true, message: "请输入合作伙伴ID" }],
    },
    {
      key: "prmbusiId",
      label: "PRM业务ID",
      type: "input",
      placeholder: "请输入PRM业务ID",
      rules: [{ required: true, message: "请输入PRM业务ID" }],
    },
    // name
    {
      key: "vacproductid",
      label: "PRM产品ID",
      type: "input",
      placeholder: "请输入PRM产品ID",
      rules: [{ required: true, message: "请输入PRM产品ID" }],
    },
    {
      key: "price",
      label: "PRM产品资费",
      type: "input",
      placeholder: "请输入PRM产品资费",
      rules: [{ required: true, message: "请输入PRM产品资费" }],
    },
    // ？
    {
      key: "packageId",
      label: "包编码",
      type: "input",
      placeholder: "请输入包编码",
      rules: [{ required: true, message: "请输入包编码" }],
    },
    {
      key: "cbssproductId",
      label: "CBSS产品编码",
      type: "input",
      placeholder: "请输入CBSS产品编码",
      rules: [{ required: true, message: "请输入CBSS产品编码" }],
    },
  ],
};
export const CBData = {
  title: "CB附加包相关信息",
  labelWidth: "140px",
  inputWidth: "40%",
  labelPosition: "right",
  list: [
    {
      key: "productIdCB",
      label: "PRODUCTID",
      type: "input",
      placeholder: "请输入PRODUCTID",
      rules: [{ required: true, message: "请输入PRODUCTID" }],
    },
    {
      key: "packageId",
      label: "PACKAGEID",
      type: "input",
      placeholder: "请输入PACKAGEID",
      rules: [{ required: true, message: "请输入PACKAGEID" }],
    },
  ],
};

export const QYData = {
  title: "权益相关信息",
  labelWidth: "140px",
  inputWidth: "40%",
  labelPosition: "right",
  list: [
    {
      key: "rightprice",
      label: "权益单价",
      type: "input",
      placeholder: "请输入权益单价",
      rules: [{ required: true, message: "请输入权益单价" }],
    },
  ],
};
export const DGData = {
  title: "订购及资费相关信息",
  labelWidth: "140px",
  inputWidth: "40%",
  labelPosition: "right",
  list: [
    {
      key: "type",
      label: "周期类型",
      type: "select",
      margin: "0",
      placeholder: "请选择周期类型",
      rules: [{ required: true, message: "请选择周期类型" }],
      option: [
        { label: "包月", value: "1" },
        { label: "合约包", value: "2" },
        // { label: "周期包", value: "3" },
      ],
    },
  ],
};
export const CPData = {
  title: "产品短信模板信息",
  labelWidth: "140px",
  inputWidth: "40%",
  labelPosition: "right",
  list: [
    {
      key: "smsSendContent",
      label: "产品订购短信模板",
      type: "select",
      placeholder: "请选择产品订购短信模板",
      // rules: [{ required: true, message: "请选择产品订购短信模板" }],
      option: [],
    },
    {
      key: "smsSendContent",
      label: "产品退订短信模板",
      type: "select",
      placeholder: "请选择产品退订短信模板",
      // rules: [{ required: true, message: "请选择产品退订短信模板" }],
      option: [],
    },
  ],
};
export const timeData = {
  title: "产品有效期信息",
  labelWidth: "140px",
  inputWidth: "40%",
  labelPosition: "right",
  list: [
    {
      key: "startdate",
      label: "产品开始时间",
      type: "date",
      placeholder: "请选择产品开始时间",
      rules: [{ required: true, message: "请选择产品开始时间" }],
      config: {
        type: "date",
        valueFormat: "yyyy-MM-dd HH:mm:ss",
      },
    },
    {
      key: "enddate",
      label: "产品结束时间",
      type: "date",
      placeholder: "请选择产品结束时间",
      rules: [{ required: true, message: "请选择产品结束时间" }],
      config: { type: "date", valueFormat: "yyyy-MM-dd HH:mm:ss" },
    },
    {
      key: "regtime",
      label: "创建时间",
      type: "date",
      placeholder: "请选择创建时间",
      rules: [{ required: true, message: "请选择创建时间" }],
      config: {
        type: "date",
        valueFormat: "yyyy-MM-dd HH:mm:ss",
      },
    },
    {
      key: "updateTime",
      label: "更新时间",
      type: "date",
      placeholder: "请选择更新时间",
      rules: [{ required: true, message: "请选择更新时间" }],
      config: {
        type: "date",
        valueFormat: "yyyy-MM-dd HH:mm:ss",
      },
    },

    {
      key: "upDownOper",
      label: "上下架操作",
      type: "radio",
      placeholder: "",
      width: "40%",
      rules: [{ required: true, message: "请选择上下架操作" }],
      option: [
        { label: "有效", value: "0" },
        { label: "无效", value: "1" },
        { label: "永久下线", value: "2" },
      ],
    },
    {
      key: "productStatus",
      label: "产品状态",
      type: "switch",
      placeholder: "",
      config: {
        activeValue: 0,
        inactiveValue: 1,
        activeText: "生效",
        inactiveText: "失效",
      },
    },
  ],
};
export const fileData = {
  title: "产品相关文件",
  labelWidth: "140px",
  inputWidth: "40%",
  labelPosition: "right",
  list: [],
};
export const huChi = {
  title: "产品互斥规则信息",
  labelWidth: "140px",
  inputWidth: "40%",
  labelPosition: "right",
  list: []
};
export const statusDataType = [
  {
    label: "全部",
    value: "",
  },
  {
    label: "待完善",
    value: "0",
  },
  {
    label: "待审核",
    value: "1",
  },
  {
    label: "审核中",
    value: "2",
  },
  {
    label: "审核驳回",
    value: "3",
  },
  {
    label: "已完善",
    value: "4",
  },
  {
    label: "草稿箱",
    value: "5",
  },
];
export const cpType = [
  {
    label: "全部",
    value: "",
  },
  {
    label: "PRM产品",
    value: "0",
  },
  {
    label: "纯附加包产品",
    value: "1",
  },
  {
    label: "PRM附加产品",
    value: "2",
  },
  {
    label: "无计费点免流产品",
    value: "3",
  },
];
export const statusType = [
  {
    label: "全部",
    value: "",
  },
  {
    label: "生效",
    value: "0",
  },
  {
    label: "失效",
    value: "1",
  },
];
export const filetersName = [
  // "busiid",
  // "productid",
  // "productname",
  // "flowtype",
  // "bigtype",
  // "productype",
  // "nettype",
  // "type",
  // "effecttype",
  // "enableTag",
  // "directype",
  // "price",
  // "vacproductid",
  // "prmcpid",
  // "productIdJy",
  // "prmcpid",
  // "spcode",
  // "prmproductId",
  // 'crmproductId',
  // "elementType",
  // "maxflow",
  // 'spid',
  // 'cpid',
  // 'packageId',
  // 'elementId',
  // 'continuetype',
  // "spname",
  // "regtime",
  // 'prize',
  // "cooperId",
  // "prmbusiId",
  // "busiclassify",
  "buid",
  "buname",
  "busiclassify",
  "busitype",
  "cbssproductId",
  "cooperId",
  "discntCode",
  "fileUploadOper",
  "freeFlowType",
  "operateType",
  "prmbusiId",
  "ratio",
  "remark",
  "servicecode",
  "upDownOper",
  "updateTime",
];
// 初始化总和表单数据
export const initFormData = {
  buid: "",
  buname: "",
  busiclassify: "",
  busitype: "",
  canaccumulation: "",
  cbssproductId: "",
  content: "",
  cooperId: "",
  cpid: "",
  cptype: "",
  creater: "",
  directype: "",
  discntCode: "",
  elementId: "",
  elementTypeCode: "",
  elemtId: [],
  enableTag: "",
  enddate: "",
  fileUploadOper: "",
  flowprice: "",
  flowscrope: "",
  flowtype: "",
  freeFlowType: "",
  freeFlowType2: "",
  id: "",
  maxflow: "",
  mutex: "",
  operateType: "",
  orderAutoRenew: "",
  orderFeeMonth: "",
  orderFirstmonthFee: "",
  orderNextmonthFee: "",
  orderPeriod: "",
  orderValidMonth: "",
  packageId: "",
  planStatus: "",
  price: "",
  prmbusiId: "",
  productId: "",
  productIdCB: "",
  productIdJy: "",
  productName: "",
  productStatus: "",
  productype: "",
  ratioOnline: "",
  ratioSheng: "",
  regtime: "",
  remark: "",
  rightprice: "",
  selfSave: "",
  servicecode: "",
  spcode: "",
  spid: "",
  spname: "",
  startdate: "",
  type: "",
  upDownOper: "",
  updateTime: "",
  vacproductid: "",
};
// 数据结构
export const initFreeFlowData = {
  add: {
    buid: "",
    buname: "",
    busiclassify: "",
    busitype: "",
    cbssproductId: "",
    cooperId: "",
    discntCode: "",
    elemtId: "",
    fileUploadOper: "",
    freeFlowType: "",
    operateType: 0,
    orderAutoRenew: 0,
    orderFeeMonth: "",
    orderFirstmonthFee: "",
    orderNextmonthFee: "",
    orderPeriod: "",
    orderValidMonth: 0,
    prmbusiId: "",
    ratio: "",
    remark: "",
    servicecode: "",
    upDownOper: "",
    ratioOnline: "",
    ratioSheng: "",
    updateTime: "",
  },
  aopConfig: {
    elementId: "",
    elementTypeCode: "",
    enableTag: "",
    packageId: "",
    productId: "",
    productName: "",
  },
  cancel: {},
  freeFlowType: "",
  info: {
    canaccumulation: "",
    cpid: "",
    cptype: "",
    creater: "",
    directype: "",
    enddate: "",
    flowprice: "",
    flowscrope: "",
    flowtype: "",
    id: 0,
    maxflow: "",
    mutex: "",
    planStatus: 0,
    price: 0,
    productId: "",
    productName: "",
    productStatus: 0,
    productype: "",
    regtime: "",
    rightprice: "",
    spcode: "",
    spid: "",
    spname: "",
    startdate: "",
    type: "",
    vacproductid: "",
  },
  smsSendContent: {
    content: "",
  },
};
// 进度状态 0提交草稿箱,1待审核,2审核失败,3失效,4生效
export const progressStatus = [
  { label: "全部", value: null },
  { label: "提交草稿箱", value: 0 },
  { label: "待审核", value: 1 },
  { label: "审核失败", value: 2 },
  { label: "失效", value: 3 },
  { label: "生效", value: 4 },
];
